Page MenuHomePhabricator

Switch Flow storage to store a page bundle blob instead of HTML
Closed, DeclinedPublic

Description

Simplest approach for this would be do the same as now, except instead of just the HTML, the full page bundle in JSON form would go in External Store.

Then, we need to extract the different parts of the content bundle. E.g. for fixed-html we just extract the HTML, then fix it.

Ideally, for VE we can just give it the different components (data-mw and HTML) separately, and let it deal with them (I think it needs to anyway due to general VE plans).

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF renamed this task from Switch Flow storage to store a pagebundle blob instead of HTML to Switch Flow storage to store a page bundle blob instead of HTML.Feb 4 2016, 9:16 PM
Arlolra moved this task from Backlog to Non-Parsoid Tasks on the Parsoid board.Feb 5 2016, 5:23 AM

Change 340319 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
mariadb: Depool db1056 for maintenance

https://gerrit.wikimedia.org/r/340319

jcrespo added a subscriber: jcrespo.

Sorry, the above is a wrong commit. I cannot delete it because it is not done with my user. Apologies for the noise.

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 2 2018, 10:14 AM
SBisson closed this task as Declined.Sep 7 2018, 2:05 PM
SBisson added a subscriber: SBisson.

This plan was abandoned.